"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.differenceWith = void 0;
/**
 * @packageDocumentation
 * @module array
 */
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const difference_1 = require("../utils/difference");
function differenceWith(input, predicate) {
    return (source) => input instanceof rxjs_1.Observable
        ? input.pipe(operators_1.switchMap((inputFromSource) => source.pipe(operators_1.map(difference_1.mapDifferenceWith(inputFromSource, predicate)))))
        : source.pipe(operators_1.map(difference_1.mapDifferenceWith(input, predicate)));
}
exports.differenceWith = differenceWith;
//# sourceMappingURL=difference-with.js.map